
# Capstone data science project 
View as [web page](https://microprediction.github.io/timemachines/) or [source](https://github.com/microprediction/timemachines/blob/main/docs/capstone.md).


### Goals for students

- Adopt a critical, statistical mindset as compare with [package-first-learning](https://www.linkedin.com/posts/petercotton_forecasting-timeseries-timeseriesanalysis-activity-6988875513771520001-Wpqp/?utm_source=share&utm_medium=member_desktop)
- Learn technique for creating incremental, [fast](https://www.microprediction.com/blog/fast), "green" models, as compared with batch-style. 
- Acquire skills crucial for meaningful collaboration on open-source projects on GitHub. 

### Students who may be interested

- Those looking to gain experience deploying, assessing, maintaining and improving models in a real-time setting. 
- Those looking to prove to future employers that they are [not in Kaggle anymore](https://www.linkedin.com/pulse/dorothy-youre-kaggle-anymore-peter-cotton-phd/). 
- Those looking to build their open-source reputations. 


### Suggested steps

- Follow instructions [here](https://microprediction.github.io/microprediction/meet.html) to join slack and google meets on Fridays. 
- Learn GitHub basics by editing the timemachines [documentation](https://github.com/microprediction/timemachines/tree/main/docs) and making a pull request. 
- Gain basic familiarity with using the timemachines package, including installation of constituent packages
- Read the [contribution](https://github.com/microprediction/timemachines/blob/main/CONTRIBUTE.md) pages.
- Contribute a colab notebook by following the [instructions](https://github.com/microprediction/timemachines/blob/main/CONTRIBUTE_COLAB_NOTEBOOK.md)
- Graduate to a [good first issue](https://github.com/microprediction/timemachines/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22). 
- Read up on Python time-series packages [list](https://www.microprediction.com/blog/popular-timeseries-packages), google around, and locate a promising package or method that
is not already included. File an issue by cutting and pasting [this issue](https://github.com/microprediction/timemachines/issues/121) and making modifications. 

Once some familiarity with univariate point forecasting gained, graduate to running distributional algorithms in real-time

- Run the default crawler. See instant participation [instructions](https://microprediction.github.io/microprediction/setup). 
- Get familiar with [predicting using python](https://microprediction.github.io/microprediction/predict-using-python.html). 
- Use StreamSkater [instructions](https://microprediction.github.io/microprediction/predict-using-python-streamskater.html) to launch a crawler that uses a model in the timemachines package. 


### In-person help
See step one. 


-+- 

Documentation [map](https://microprediction.github.io/timemachines/map.html)
 
  


![skating](https://i.imgur.com/elu5muO.png)
